Untitled

mail@pastecode.io avatar
unknown
python
2 years ago
8.0 kB
2
Indexable
Never
Finished: 'log_reg_classify', 'log_reg_train', 'prepare_billing_and_payment', 'prepare_data_usage', 'prepare_date_predictors', 'prepare_plan_summary', 'prepare_predictors_all', and 'prepare_township_relation'
Remaining: 'prepare_bad_debt_blacklist', and 'prepare_monthly_recurring_charge'
Finished 8 out of 10 tasks
21195it [02:32, 715.66it/s]
Executing: 100%|████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████| 37/37 [00:43<00:00,  1.18s/cell]
21562it [02:32, 716.84it/s]



21634it [02:33, 715.99it/s]
22279it [02:34, 687.92it/s]
22417it [02:34, 686.91it/s]
28663it [02:44, 548.31it/s]
28777it [02:44, 546.41it/s]
28889it [02:44, 546.13it/s]
29002it [02:45, 541.85it/s]
29112it [02:45, 545.23it/s]
29167it [02:45, 536.54it/s]
Executing: 100%|████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████| 15/15 [01:42<00:00,  6.84s/cell]
47743it [03:31, 225.50it/s]███████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████▏                 | 14/15 [01:41<00:06,  6.98s/cell]

====================================================================================================================================================== DAG build failed ======================================================================================================================================================
------------------------------------------------------------------------------------------- NotebookRunner: prepare_date_predictors -> MetaProduct({'data': File('product...dictors.parq'), 'nb': File('product...ictors.ipynb')}) -------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------ /opt/csm/ploomber_csm/src/prepare/date_predictors.py ------------------------------------------------------------------------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/ubuntu/.venv/ploomber_csm/lib/python3.9/site-packages/nbclient/client.py", line 776, in _async_poll_for_reply
    msg = await ensure_async(self.kc.shell_channel.get_msg(timeout=new_timeout))
  File "/home/ubuntu/.venv/ploomber_csm/lib/python3.9/site-packages/jupyter_core/utils/__init__.py", line 172, in ensure_async
    result = await obj
  File "/home/ubuntu/.venv/ploomber_csm/lib/python3.9/site-packages/jupyter_client/channels.py", line 224, in get_msg
    ready = await self.socket.poll(timeout)
asyncio.exceptions.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/ubuntu/.venv/ploomber_csm/lib/python3.9/site-packages/nbclient/client.py", line 1002, in async_execute_cell
    exec_reply = await self.task_poll_for_reply
asyncio.exceptions.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/ubuntu/.venv/ploomber_csm/lib/python3.9/site-packages/ploomber/tasks/notebook.py", line 833, in run
    pm.execute_notebook(str(tmp), str(path_to_out_ipynb),   
  File "/home/ubuntu/.venv/ploomber_csm/lib/python3.9/site-packages/papermill/execute.py", line 113, in execute_notebook
    nb = papermill_engines.execute_notebook_with_engine(
  File "/home/ubuntu/.venv/ploomber_csm/lib/python3.9/site-packages/papermill/engines.py", line 49, in execute_notebook_with_engine
    return self.get_engine(engine_name).execute_notebook(nb, kernel_name, **kwargs)
  File "/home/ubuntu/.venv/ploomber_csm/lib/python3.9/site-packages/papermill/engines.py", line 367, in execute_notebook
    cls.execute_managed_notebook(nb_man, kernel_name, log_output=log_output, **kwargs)
  File "/home/ubuntu/.venv/ploomber_csm/lib/python3.9/site-packages/papermill/engines.py", line 436, in execute_managed_notebook
    return PapermillNotebookClient(nb_man, **final_kwargs).execute()
  File "/home/ubuntu/.venv/ploomber_csm/lib/python3.9/site-packages/papermill/clientwrap.py", line 45, in execute
    self.papermill_execute_cells()
  File "/home/ubuntu/.venv/ploomber_csm/lib/python3.9/site-packages/papermill/clientwrap.py", line 72, in papermill_execute_cells
    self.execute_cell(cell, index)
  File "/home/ubuntu/.venv/ploomber_csm/lib/python3.9/site-packages/jupyter_core/utils/__init__.py", line 160, in wrapped
    return loop.run_until_complete(inner)
  File "/home/ubuntu/.pyenv/versions/3.9.12/lib/python3.9/asyncio/base_events.py", line 647, in run_until_complete
    return future.result()
  File "/home/ubuntu/.venv/ploomber_csm/lib/python3.9/site-packages/nbclient/client.py", line 1006, in async_execute_cell
    raise DeadKernelError("Kernel died")
nbclient.exceptions.DeadKernelError: Kernel died

ploomber.exceptions.TaskBuildError: Error when executing task 'prepare_date_predictors'. Partially executed notebook available at /opt/csm/ploomber_csm/product/dev/prepare/date_predictors.ipynb
ploomber.exceptions.TaskBuildError: Error building task "prepare_date_predictors"
====================================================================================================================================================== Summary (1 task) ======================================================================================================================================================
NotebookRunner: prepare_date_predictors -> MetaProduct({'data': File('product...dictors.parq'), 'nb': File('product...ictors.ipynb')})
====================================================================================================================================================== DAG build failed ======================================================================================================================================================